'use strict';
define(function() {
  var TableSelectAndUpdateDirective = function($compile, $scope) {
    return {
      templateUrl:
        'js/XG/biz/yamoussoukro/modules/form/tableselectandupdate/view/TableSelectAndUpdate.html',
      //  template:'<input class="form-control"></input>',
      restrict: 'AE',
      controller: 'TableSelectAndUpdateCtrl',
      scope: false,
      link: function($scope, element, attrs) {
        if (attrs['myField'] != null)
          $scope.theField01 = JSON.parse(attrs['myField']);
      },
    };
  };

  TableSelectAndUpdateDirective.$inject = ['$compile'];
  return TableSelectAndUpdateDirective;
});
